Jobs
Get job
GET
Gets details of a job
sso-keyheader
Authorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
jobId*stringA unique identifier for the job
Format
uuidcustomerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
Match
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$Default
"my"X-Request-Id?stringA unique identifier for the request
Result of the job using the jobId
application/json- response
description?stringDescription of the job
Length
length <= 255jobId*stringThe unique identifier of the job.
Format
uuidcompletedAt?stringUTC timestamp of when the job was completed at
Format
date-timecreatedAt*stringUTC timestamp of when the job was created
Format
date-timefailedReason?stringProvides a high level explanation of the job failure if the jobState is in FAILED status.
jobState*stringValue in
"CREATED""DATA_UPLOADED""CLOSED""RUNNING""FAILED""COMPLETED""CANCELED"percentComplete?numberFormat
doubletotalFailures?integerFormat
int32totalRequests?integerFormat
int32totalSuccess?integerFormat
int32type*stringValue in
"BULK_JOB""RECONCILE_JOB"curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "completedAt": "2020-01-01T00:00:00Z", "createdAt": "2020-01-01T00:00:00Z", "failedReason": "Invalid CSV file provided", "jobState": "CREATED", "percentComplete": 0.1, "totalFailures": 0, "totalRequests": 0, "totalSuccess": 0, "type": "BULK_JOB", "description": "my first job", "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39"}